Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.PaletteCloseIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalIconFactory.PaletteCloseIcon

All Implemented Interfaces:
  Icon, Serializable, UIResource

Enclosing class:
  MetalIconFactory

public static class MetalIconFactory.PaletteCloseIcon
extends Object
implements Icon, UIResource, Serializable

Defines an icon for Palette close

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`MetalIconFactory.PaletteCloseIcon()`

Method Summary
`int` | `getIconHeight()` Returns the icon's height.
`int` | `getIconWidth()` Returns the icon's width.
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalIconFactory.PaletteCloseIcon

    public MetalIconFactory.PaletteCloseIcon()

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Description copied from interface: `Icon`
  Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.
  Specified by:
    `paintIcon` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  Description copied from interface: `Icon`
  Returns the icon's width.
  Specified by:
    `getIconWidth` in interface `Icon`
  Following copied from interface: `javax.swing.Icon`
  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    public int getIconHeight()

  Description copied from interface: `Icon`
  Returns the icon's height.
  Specified by:
    `getIconHeight` in interface `Icon`
  Following copied from interface: `javax.swing.Icon`
  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.